<?php
/*
  ===============================================================

  inGenio X
  http://ingenio.area421.com

  Created by 
  Julian Moreno Hidalgo (Software developer)
  Jesus Moreno Hidalgo (Communication's tree)

  inGenio X is a free software licensed under CC-GNU GPL

  ===============================================================
*/

	// valor "1" en desarrollo y "0" en internet
	ini_set("display_errors", "0");

	// Attempt...
	define("IGNX", 1);

	// conex, config, login  global
	require("inc.global.php");

/******* CONFIGURACION  ***********/

$titulo = INGENIO_NOMBRE." ".INGENIO_VERSION;
$archivo_php = $_SERVER['SCRIPT_NAME'];

/******* CONFIGURACION FIN ********/

	$cadena_get_comple = $_SERVER['QUERY_STRING'];
	$cadena_get = strstr($_SERVER['QUERY_STRING'],"msj=1&");
	$no_get = $cadena_get_comple == "" ? 1 : 0 ;
	$tabla_get = "tabla=".TD_PEDIDOS;
	$tabla_get_carro = "tabla=".TD_CARRO;
	$campoid = "pedID";
	$ig = $_GET;
	$in = $_POST;
	
if (isset($in["guardar"]))
{
	
	
		// codigo
		$codigo_cliente = entrada_sin_tags_html($in["codigo_cliente"]);
		$codigo_cliente = ereg_replace ('[^a-zA-Z0-9]', '', $codigo_cliente);

		// cliente
		$nombre_cliente = entrada_sin_tags_html($in["nombre_cliente"]); 
		$apellido_cliente = entrada_sin_tags_html($in["apellido_cliente"]); 
		$email_cliente = entrada_sin_tags_html($in["email_cliente"]); 
		$pais_cliente = entrada_sin_tags_html($in["pais_cliente"]); 
		$ciudad_cliente = entrada_sin_tags_html($in["ciudad_cliente"]); 
		$postal_cliente = entrada_sin_tags_html($in["postal_cliente"]); 
		$direccion_cliente = entrada_sin_tags_html($in["direccion_cliente"]); 
		$tel_cliente = entrada_sin_tags_html($in["tel_cliente"]); 
		
		// envio
		$fecha_envio = entrada_sin_tags_html($in["fecha_envio"]); 
		$nombre_envio = entrada_sin_tags_html($in["nombre_envio"]); 
		$apellido_envio = entrada_sin_tags_html($in["apellido_envio"]); 
		$email_envio = entrada_sin_tags_html($in["email_envio"]); 
		$pais_envio = entrada_sin_tags_html($in["pais_envio"]); 
		$ciudad_envio = entrada_sin_tags_html($in["ciudad_envio"]); 
		$postal_envio = entrada_sin_tags_html($in["postal_envio"]); 
		$direccion_envio = entrada_sin_tags_html($in["direccion_envio"]); 
		$tel_envio = entrada_sin_tags_html($in["tel_envio"]); 

		// total
		$pedido_total = ""; 
		
		// texto interno
		$observaciones = entrada_sin_tags_html($in["observaciones"]); 
		// texto para el resumen del pedido
		$dialogo = entrada_gral_html($in["dialogo"]); 

		$fecha = datetime_gmt();
		$dir_ip = $_SERVER["REMOTE_ADDR"]." (admin)";

	$qs = "INSERT INTO ".TD_PEDIDOS." (fecha,codigo_cliente,nombre_cliente,apellido_cliente,email_cliente,pais_cliente,ciudad_cliente,postal_cliente,direccion_cliente,tel_cliente,fecha_envio,nombre_envio,apellido_envio,email_envio,pais_envio,ciudad_envio,postal_envio,direccion_envio,tel_envio,dir_ip,observaciones,pedido_total,dialogo) VALUES ('".$fecha."','".$codigo_cliente."','".$nombre_cliente."','".$apellido_cliente."','".$email_cliente."','".$pais_cliente."','".$ciudad_cliente."','".$postal_cliente."','".$direccion_cliente."','".$tel_cliente."','".$fecha_envio."','".$nombre_envio."','".$apellido_envio."','".$email_envio."','".$pais_envio."','".$ciudad_envio."','".$postal_envio."','".$direccion_envio."','".$tel_envio."','".$dir_ip."','".$observaciones."','".$pedido_total."','".$dialogo."')";
	myquery($qs,"[01]");
	$inid = myinsertid();
	
	Redir ($archivo_php."?".$campoid."=".$inid."&msj=1&".$in["listado_get"]);


}

if (isset($ig[$campoid]) || isset($in[$campoid]))
{
	// asignar ID gral
	$fileID_gral = isset($ig[$campoid]) ? $ig[$campoid] : $in[$campoid];
	
	
	if (isset($in["actualizar"]))
	{

		// asignar el ID
		$inid = $fileID_gral;
	
		// codigo
		$codigo_cliente = entrada_sin_tags_html($in["codigo_cliente"]);
		$codigo_cliente = ereg_replace ('[^a-zA-Z0-9]', '', $codigo_cliente);
		
		// cliente
		$nombre_cliente = entrada_sin_tags_html($in["nombre_cliente"]); 
		$apellido_cliente = entrada_sin_tags_html($in["apellido_cliente"]); 
		$email_cliente = entrada_sin_tags_html($in["email_cliente"]); 
		$pais_cliente = entrada_sin_tags_html($in["pais_cliente"]); 
		$ciudad_cliente = entrada_sin_tags_html($in["ciudad_cliente"]); 
		$postal_cliente = entrada_sin_tags_html($in["postal_cliente"]); 
		$direccion_cliente = entrada_sin_tags_html($in["direccion_cliente"]); 
		$tel_cliente = entrada_sin_tags_html($in["tel_cliente"]); 
		
		// envio
		$fecha_envio = entrada_sin_tags_html($in["fecha_envio"]); 
		$nombre_envio = entrada_sin_tags_html($in["nombre_envio"]); 
		$apellido_envio = entrada_sin_tags_html($in["apellido_envio"]); 
		$email_envio = entrada_sin_tags_html($in["email_envio"]); 
		$pais_envio = entrada_sin_tags_html($in["pais_envio"]); 
		$ciudad_envio = entrada_sin_tags_html($in["ciudad_envio"]); 
		$postal_envio = entrada_sin_tags_html($in["postal_envio"]); 
		$direccion_envio = entrada_sin_tags_html($in["direccion_envio"]); 
		$tel_envio = entrada_sin_tags_html($in["tel_envio"]); 

		// total
		// calcular si se guarda el total
		$guardar_total = isset($in["guardar_total"]) ? $in["guardar_total"] : 0 ;
		if ($guardar_total == 1)
		{
			
			// contrala el UPDATE
			$pedido_total = ",pedido_total='".$in["pedido_total"]."'";
		
		} else {
		
			// contrala el UPDATE
			$pedido_total = "";
		
		}
		
		// texto interno
		$observaciones = entrada_sin_tags_html($in["observaciones"]); 
		// texto para el resumen del pedido
		$dialogo = entrada_gral_html($in["dialogo"]); 

		//$fecha = datetime_gmt();
		//$dir_ip = $_SERVER["REMOTE_ADDR"]." (admin)";

		$qs = "UPDATE ".TD_PEDIDOS." SET codigo_cliente='".$codigo_cliente."',nombre_cliente='".$nombre_cliente."',apellido_cliente='".$apellido_cliente."',email_cliente='".$email_cliente."',pais_cliente='".$pais_cliente."',ciudad_cliente='".$ciudad_cliente."',postal_cliente='".$postal_cliente."',direccion_cliente='".$direccion_cliente."',tel_cliente='".$tel_cliente."',fecha_envio='".$fecha_envio."',nombre_envio='".$nombre_envio."',apellido_envio='".$apellido_envio."',email_envio='".$email_envio."',pais_envio='".$pais_envio."',ciudad_envio='".$ciudad_envio."',postal_envio='".$postal_envio."',direccion_envio='".$direccion_envio."',tel_envio='".$tel_envio."',dialogo='".$dialogo."',observaciones='".$observaciones."'".$pedido_total." WHERE pedID='".$fileID_gral."'";
		myquery($qs,"[04]");
		
		Redir ($archivo_php."?".$campoid."=".$inid."&msj=1&".$in["listado_get"]);

	}

	// extraer los datos de la base
	$qt = myquery("SELECT * FROM ".TD_PEDIDOS." WHERE pedID='".$fileID_gral."'","[05]");
	$row = myfetch($qt);


	// pedido_total_suma //
		$k = 0; // total
		$qp = myquery("SELECT * FROM ".TD_CARRO." WHERE pedID='".$fileID_gral."'","[pt01]");
		while ($rowp = myfetch($qp))
		{
			// cantidad final
			$k += $rowp["cantidad_producto"]*$rowp["precio_producto"];
					
		} // del while

		$row["pedido_total_suma"] = $k;
		
	// fin pedido_total_suma //

} else {


/***** NUEVO ******/

$row = array();
$row[$campoid] = "";
$row["fecha"] = "";
$row["codigo_cliente"] = "";
$row["nombre_cliente"] = "";
$row["apellido_cliente"] = "";
$row["email_cliente"] = "";
$row["pais_cliente"] = "";
$row["ciudad_cliente"] = "";
$row["postal_cliente"] = "";
$row["direccion_cliente"] = "";
$row["tel_cliente"] = "";
$row["fecha_envio"] = "";
$row["nombre_envio"] = "";
$row["apellido_envio"] = "";
$row["email_envio"] = "";
$row["pais_envio"] = "";
$row["ciudad_envio"] = "";
$row["postal_envio"] = "";
$row["direccion_envio"] = "";
$row["tel_envio"] = "";
$row["dir_ip"] = "";
$row["dialogo"] = "";
$row["observaciones"] = "";
$row["pedido_total"] = "";

}

?>
<!DOCTYPE html
    PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3c.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en">
<head>
<?php echo '<meta http-equiv="content-type" content="text/html; charset='.CONFIG_2.'" />'; ?>
<title><?php echo $titulo; ?></title>
<?php include("inc.head.php"); ?>
<?php include("inc.editor_tinymce.php"); ?>

<?php include("inc.formjs.php"); ?>

<script type="text/javascript">

function incluir_envio()
{
	var nombre_cliente = document.principal.nombre_cliente.value;
	var apellido_cliente = document.principal.apellido_cliente.value;
	var email_cliente = document.principal.email_cliente.value;
	var pais_cliente = document.principal.pais_cliente.value;
	var ciudad_cliente = document.principal.ciudad_cliente.value;
	var postal_cliente = document.principal.postal_cliente.value;
	var direccion_cliente = document.principal.direccion_cliente.value;
	var tel_cliente = document.principal.tel_cliente.value;

	document.principal.nombre_envio.value = nombre_cliente;
	document.principal.apellido_envio.value = apellido_cliente;
	document.principal.email_envio.value = email_cliente;
	document.principal.pais_envio.value = pais_cliente;
	document.principal.ciudad_envio.value = ciudad_cliente;
	document.principal.postal_envio.value = postal_cliente;
	document.principal.direccion_envio.value = direccion_cliente;
	document.principal.tel_envio.value = tel_cliente;

} // fin incluir_envio

</script>
</head>
<body>

<table border="0" cellspacing="0" cellpadding="0" align="center">
<tr><td valign="top">

<?php include("inc.menu.php"); ?>

</td><td valign="top" width="100%">

<?php include("inc.copy.php"); ?>

<div class="contenido">

<div class="div_rotulo_top_sec">
<img class="img_icon_pag" src="../skins_admin/<?php echo substr($row_comp['skin_admin'],0,-4); ?>/imgs/icon_tienda.png" />
&nbsp;&nbsp;&nbsp;
<span class="rotulo_top_sec"><?php  echo LEN_ADMIN_326; ?></span>
</div>

<form enctype="multipart/form-data" action="<?php echo $archivo_php; ?>" onsubmit="return validar_ingreso(this);" method="post" name="principal">
<?php
	if (isset($ig[$campoid]) || isset($in["actualizar"]))
	{

		if ($cadena_get)
		{
			$listado_get = substr($cadena_get,6);
			
		} else {
						
			// si se entra desde la web
			if ($cadena_get_comple == $campoid."=".$fileID_gral)
			{
				$listado_get = str_replace($campoid."=".$fileID_gral, $tabla_get, $cadena_get_comple);
						
			} else {
			
				$listado_get = str_replace($campoid."=".$fileID_gral."&","", $cadena_get_comple);
			}
			
		}
		
		echo '<div class="rotulo">'.LEN_ADMIN_334.'</div>';
		
		// nuevo registro
		echo '<a title="'.salida_popups(LEN_ADMIN_430).'"';
		echo ' href="'.$archivo_php.'"';
		echo ' class="conex_tip">';
		echo '<img class="img_icon_ini" src="../skins_admin/'.substr($row_comp['skin_admin'],0,-4).'/imgs/icon_publicar.png" />';
		echo '</a>';
		
		// gestionar
		echo '&nbsp;&nbsp;<a title="'.salida_popups(LEN_ADMIN_12).'"';
		echo ' href="listados.php?'.$listado_get.'"';
		echo ' class="conex_tip">';
		echo '<img class="img_icon_ini" src="../skins_admin/'.substr($row_comp['skin_admin'],0,-4).'/imgs/icon_gestionar.png" />';
		echo '</a>';

		// borrar
		echo '&nbsp;&nbsp;<a title="'.salida_popups(LEN_ADMIN_145).'"';
		echo ' href="javascript:confirmar(\''.LEN_ADMIN_144.'\',\'listados.php?'.$tabla_get.'&res=bo&registro='.$fileID_gral.'\');"';
		echo ' class="conex_tip">';
		echo '<img class="img_icon_ini" src="../skins_admin/'.substr($row_comp['skin_admin'],0,-4).'/imgs/icon_borrar.png" />';
		echo '</a>';
		echo '&nbsp;&nbsp;(#'.$fileID_gral.')';
		
		// nueva venta y ver los datos del pedido
		echo '<br /><br />';
		echo '<a href="adm_'.TD_CARRO.'.php?pedID='.$row["pedID"].'" class="conex_gral">'.LEN_ADMIN_431.'</a>';
		echo '&nbsp;&nbsp;<a href="listados.php?'.$tabla_get_carro.'&ini=0&cadena='.$row["pedID"].'&donde=pedID" class="conex_gral">'.LEN_ADMIN_368.'</a>';
		
	} else {
		echo '<div class="rotulo">'.LEN_ADMIN_430.'</div>';	

		// gestionar
		echo '<a title="'.salida_popups(LEN_ADMIN_12).'"';
		echo ' href="listados.php?'.$tabla_get.'"';
		echo ' class="conex_tip">';
		echo '<img class="img_icon_ini" src="../skins_admin/'.substr($row_comp['skin_admin'],0,-4).'/imgs/icon_gestionar.png" />';
		echo '</a>';
	}

	if (isset($ig["msj"]))
	{
		echo '<br /><br /><span class="mensaje">'.LEN_ADMIN_22.'</span>&nbsp;&nbsp;';
	
	}
?>

<?php
	if (isset($ig[$campoid]) || isset($in["actualizar"]))
	{
?>
<br /><br /><br />
<div class="div_destacar_grupos">
<strong><?php  echo LEN_ADMIN_391; ?></strong>
&nbsp;&nbsp;<span class="selec_elemento"><?php echo $row['pedID']; ?></span>
</div>

<br /><br />
<div class="div_destacar_grupos">
<strong><?php  echo LEN_ADMIN_392; ?></strong>
&nbsp;&nbsp;<span class="selec_elemento"><?php echo mostrar_pvp($row['pedido_total_suma']); ?></span>
&nbsp;&nbsp;<?php echo mostrar_pvp($row['pedido_total']); ?>
<input type="hidden" name="pedido_total" value="<?php echo $row['pedido_total_suma']; ?>">
&nbsp;&nbsp;<input type="checkbox" name="guardar_total" value="1">&nbsp;<?php  echo LEN_ADMIN_426; ?>
</div>
<?php
	}
?>

<br /><br />
<div class="div_destacar_grupos">
<?php

	// codigos cliente usados //
	
	echo LEN_ADMIN_393;
	echo '&nbsp;&nbsp;';
	echo '<select name="poner_codigo" onchange="document.principal.codigo_cliente.value=document.principal.poner_codigo.options[document.principal.poner_codigo.selectedIndex].value;">';
	echo '<option value="">'.LEN_ADMIN_79.'</option>';

		$corte = 45;
		$qit = myquery("SELECT * FROM ".TD_PEDIDOS." ORDER BY pedID ASC");
		while ($row_qit = myfetch($qit))
		{
			if ($row_qit["codigo_cliente"] != "")
			{
				if (strlen($row_qit["nombre_cliente"].' '.$row_qit["apellido_cliente"]) > $corte) { $mas="..."; } else { $mas=""; }
				echo '<option value="'.$row_qit["codigo_cliente"].'">';
				echo $row_qit["pedID"].' ['.$row_qit["codigo_cliente"].'] '.substr($row_qit["nombre_cliente"].' '.$row_qit["apellido_cliente"],0,$corte).$mas.'</option>';
			}
		}
	echo '</select>';
	echo '<br /><br />';

?>
<input name="codigo_cliente" maxlength="100" value="<?php echo salida_editar_form($row['codigo_cliente']); ?>" type="text" class="input_text tmini">
<?php
	if (isset($ig[$campoid]) || isset($in["actualizar"]))
	{
		
		if ($row["codigo_cliente"] != "")
		{
		
			$web_respuesta1 = NOMBRE_DOMINIO.RUTA_INICIO."len".IGUAL;
			$web_respuesta2 = AMPER."scv".IGUAL.$row["codigo_cliente"].AMPER."pid".IGUAL.$row["pedID"];
			$web_href = '&nbsp;&nbsp;<a href="'.$web_respuesta1.'0'.$web_respuesta2.'" class="conex_gral" target="_blank">'.LEN_ADMIN_90.'</a>';
			
			echo '<br /><br />';
			echo LEN_ADMIN_429.'<br /><br />';
			if ($num_idiomas >= 1) {
				$web_href .= '&nbsp;&nbsp;<a href="'.$web_respuesta1.'1'.$web_respuesta2.'" class="conex_gral" target="_blank">'.LEN_ADMIN_91.' (1)</a>';
			}
			if ($num_idiomas >= 2) {
				$web_href .= '&nbsp;&nbsp;<a href="'.$web_respuesta1.'2'.$web_respuesta2.'" class="conex_gral" target="_blank">'.LEN_ADMIN_91.' (2)</a>';
			}
			if ($num_idiomas >= 3) {
				$web_href .= '&nbsp;&nbsp;<a href="'.$web_respuesta1.'3'.$web_respuesta2.'" class="conex_gral" target="_blank">'.LEN_ADMIN_91.' (3)</a>';
			}
			if ($num_idiomas >= 4) {
				$web_href .= '&nbsp;&nbsp;<a href="'.$web_respuesta1.'4'.$web_respuesta2.'" class="conex_gral" target="_blank">'.LEN_ADMIN_91.' (4)</a>';
			}
			if ($num_idiomas >= 5) {
				$web_href .= '&nbsp;&nbsp;<a href="'.$web_respuesta1.'5'.$web_respuesta2.'" class="conex_gral" target="_blank">'.LEN_ADMIN_91.' (5)</a>';
			}
			echo $web_href;
		
		}

	}
?>
</div>

<br /><br />
<div class="div_destacar_grupos">
<?php  echo LEN_ADMIN_434; ?>&nbsp;&nbsp;<input type="button" class="boton" onclick="toggleEditor('dialogo');" value="<?php  echo LEN_ADMIN_78; ?>"><br /><br />
<textarea name="dialogo" id="dialogo" class="input_editor" rows="10"><?php echo $row["dialogo"]; ?></textarea>
</div>

<br /><br />
<div class="div_destacar_grupos">
<strong><?php  echo LEN_ADMIN_441; ?></strong>

<br /><br />
* <?php  echo LEN_ADMIN_394; ?>
&nbsp;<input name="nombre_cliente" maxlength="100" value="<?php echo salida_editar_form($row['nombre_cliente']); ?>" type="text" class="input_text">

<br /><br />
<?php  echo LEN_ADMIN_395; ?>
&nbsp;<input name="apellido_cliente" maxlength="100" value="<?php echo salida_editar_form($row['apellido_cliente']); ?>" type="text" class="input_text">

<br /><br />
* <?php  echo LEN_ADMIN_396; ?>
&nbsp;<input name="email_cliente" maxlength="100" value="<?php echo salida_editar_form($row['email_cliente']); ?>" type="text" class="input_text">

<br /><br />
<?php  echo LEN_ADMIN_397; ?>
&nbsp;<input name="tel_cliente" maxlength="100" value="<?php echo salida_editar_form($row['tel_cliente']); ?>" type="text" class="input_text tmini">

<br /><br />
<?php  echo LEN_ADMIN_398; ?>&nbsp;&nbsp;&nbsp;<input readonly type="text" name="maxadm_direccion_cliente" size="4" maxlength="4" value="<?php echo 255-strlen($row['direccion_cliente']); ?>" class="input_max_textarea"><br /><br />
<textarea name="direccion_cliente" id="direccion_cliente" class="input_editor_otro" rows="6" onKeyDown="input_textCounter(this.form.direccion_cliente,this.form.maxadm_direccion_cliente,255);" onKeyUp="input_textCounter(this.form.direccion_cliente,this.form.maxadm_direccion_cliente,255);"><?php echo $row['direccion_cliente']; ?></textarea>

<br /><br />
<?php  echo LEN_ADMIN_399; ?>
&nbsp;<input name="pais_cliente" maxlength="100" value="<?php echo salida_editar_form($row['pais_cliente']); ?>" type="text" class="input_text">

<br /><br />
<?php  echo LEN_ADMIN_400; ?>
&nbsp;<input name="ciudad_cliente" maxlength="100" value="<?php echo salida_editar_form($row['ciudad_cliente']); ?>" type="text" class="input_text">

<br /><br />
<?php  echo LEN_ADMIN_401; ?>
&nbsp;<input name="postal_cliente" maxlength="100" value="<?php echo salida_editar_form($row['postal_cliente']); ?>" type="text" class="input_text tmini">

<br /><br />
<?php  echo LEN_ADMIN_402; ?><br /><br />
<textarea name="observaciones" id="observaciones" class="input_editor_otro" rows="6"><?php echo $row['observaciones']; ?></textarea>
</div>


<br /><br />
<div class="div_destacar_grupos">
<strong><?php  echo LEN_ADMIN_406; ?></strong>

<br /><br />
<input type="button" value="<?php  echo LEN_ADMIN_405; ?>" onClick="incluir_envio();" class="boton">

<br /><br />
<?php  echo LEN_ADMIN_403; ?>
&nbsp;<input name="fecha_envio" maxlength="100" value="<?php echo salida_editar_form($row['fecha_envio']); ?>" type="text" class="input_text">

<br /><br />
<?php  echo LEN_ADMIN_394; ?>
&nbsp;<input name="nombre_envio" maxlength="100" value="<?php echo salida_editar_form($row['nombre_envio']); ?>" type="text" class="input_text">

<br /><br />
<?php  echo LEN_ADMIN_395; ?>
&nbsp;<input name="apellido_envio" maxlength="100" value="<?php echo salida_editar_form($row['apellido_envio']); ?>" type="text" class="input_text">

<br /><br />
<?php  echo LEN_ADMIN_396; ?>
&nbsp;<input name="email_envio" maxlength="100" value="<?php echo salida_editar_form($row['email_envio']); ?>" type="text" class="input_text">

<br /><br />
<?php  echo LEN_ADMIN_397; ?>
&nbsp;<input name="tel_envio" maxlength="100" value="<?php echo salida_editar_form($row['tel_envio']); ?>" type="text" class="input_text tmini">

<br /><br />
<?php  echo LEN_ADMIN_398; ?>&nbsp;&nbsp;&nbsp;<input readonly type="text" name="maxadm_direccion_envio" size="4" maxlength="4" value="<?php echo 255-strlen($row['direccion_envio']); ?>" class="input_max_textarea"><br /><br />
<textarea name="direccion_envio" id="direccion_envio" class="input_editor_otro" rows="6" onKeyDown="input_textCounter(this.form.direccion_envio,this.form.maxadm_direccion_envio,255);" onKeyUp="input_textCounter(this.form.direccion_envio,this.form.maxadm_direccion_envio,255);"><?php echo $row['direccion_envio']; ?></textarea>

<br /><br />
<?php  echo LEN_ADMIN_399; ?>
&nbsp;<input name="pais_envio" maxlength="100" value="<?php echo salida_editar_form($row['pais_envio']); ?>" type="text" class="input_text">

<br /><br />
<?php  echo LEN_ADMIN_400; ?>
&nbsp;<input name="ciudad_envio" maxlength="100" value="<?php echo salida_editar_form($row['ciudad_envio']); ?>" type="text" class="input_text">

<br /><br />
<?php  echo LEN_ADMIN_401; ?>
&nbsp;<input name="postal_envio" maxlength="100" value="<?php echo salida_editar_form($row['postal_envio']); ?>" type="text" class="input_text tmini">
</div>

<br /><br />
<div class="div_destacar_grupos">
<?php  echo LEN_ADMIN_404; ?>
&nbsp;<strong><?php echo $row['fecha']; ?></strong>

<br /><br />
<?php  echo LEN_ADMIN_238; ?>
&nbsp;<strong><?php echo $row['dir_ip']; ?></strong>
</div>


<div style="text-align:center;margin:20px 0px 20px 0px;">
<?php
	if (isset($ig[$campoid]) || isset($in["actualizar"]))
	{
?>
<input type="submit" value="<?php echo LEN_ADMIN_17;?>" class="boton">
<input type="hidden" name="<?php echo $campoid; ?>" value="<?php echo $fileID_gral; ?>">
<input type="hidden" name="actualizar" value="1">
<input type="hidden" name="listado_get" value="<?php echo $listado_get; ?>">
<?php
	} else {
?>
<input type="submit" value="<?php echo LEN_ADMIN_16;?>" class="boton">
<input type="hidden" name="guardar" value="1">
<input type="hidden" name="listado_get" value="<?php echo $tabla_get; ?>">
&nbsp;&nbsp;&nbsp;<input type="reset" value="<?php echo LEN_ADMIN_18;?>" class="boton">
<?php
	}
?>
</div>

</form>
</div>

</td></tr></table>

</body>
</html>
<?php
	include("inc.fin.php");
?>